aboutsummaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorThomas White <taw@bitwiz.org.uk>2010-10-31 15:58:05 +0100
committerThomas White <taw@physics.org>2012-02-22 15:27:04 +0100
commit6f1cec17d53c026a63e38e650660112feee81481 (patch)
tree4a135cf1bf9a6f90ef8ef0c37eabf6fdabb545b6 /scripts
parent858f11978d44192a0d3d2ed8d2f5c469542e867d (diff)
Make scripts/check-near-bragg less annoying
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-near-bragg1
1 files changed, 1 insertions, 0 deletions
diff --git a/scripts/check-near-bragg b/scripts/check-near-bragg
index 9b72c0cb..28347831 100755
--- a/scripts/check-near-bragg
+++ b/scripts/check-near-bragg
@@ -26,6 +26,7 @@ while ( $line = <FH> ) {
if ( $line =~ /^Peak statistics/ ) {
close(TMP);
system("hdfsee ".$filename." --peak-overlay=list.tmp --binning=1 --int-boost=10");
+ if ( $? != 0 ) { exit; }
unlink("list.tmp");
open(TMP, "> list.tmp");
$handled = 1;